org.keycloak.models.jpa.entities

## Class GroupAttributeEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.GroupAttributeEntity

-     @Entity
      public class GroupAttributeEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GroupEntity` | `group`
    `protected String` | `id`
    `protected String` | `name`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupAttributeEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `GroupEntity` | `getGroup()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setGroup(GroupEntity group)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### group

          protected GroupEntity group

    - #### name

          protected String name

    - #### value

          protected String value

  - ### Constructor Detail

    - #### GroupAttributeEntity

          public GroupAttributeEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getGroup

          public GroupEntity getGroup()

    - #### setGroup

          public void setGroup(GroupEntity group)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.